// Copyright (C) 2013 S&P Capital IQ
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.spcapitaliq.platformexecuting.sbtplugin

/** An sbt-setting-only API, for projects that would need to use only
  * one [[com.spcapitaliq.platformexecuting.sbtplugin.PESpec]].
  *
  * Please note that it does not offer any more power than `PESpec`
  * does, only convenience for the wildly common case.  If you use
  * `PESpec` instead, nothing in this object will help you.
  */
object Plugin extends sbt.Plugin {
  lazy val defaultPESpec = PESpec("pexec")

  /** Keys for the default `pexec` binary settings. */
  lazy val PlatformExecKeys: PESpecSettingKeys = defaultPESpec

  /** Settings to fill out the build of `pexec`; if you use the `pexec`
    * build, you should always include these.
    */
  lazy val platformExecSettings = defaultPESpec.settings
}
